Skip to main content
Infrastructure/Tenants
POSTInfrastructureSince 1.0SynchronousAuth Required

CreateDepartment

Department Create a new department under the specified tenant organization.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • tenantUuidStringRequired

    UUID of the tenant under which to create the department

Responses

200 OK

On success, this API returns the following response structure.

  • unitObject

    The unit value

    Example: (nested object)

Endpoint

POST/api/v1/tenants/{tenantUuid}/org/departments

/api/v1/tenants/{tenantUuid}/org/departments

Operation ID

CreateDepartment

Permalink

Request Example

curl -X POST '{host}/api/v1/tenants/{tenantUuid}/org/departments' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "unit": null
}

Change History

This API has no change history records yet.

View all change history